Check your browser. Are you using the latest supported version – Internet Explorer 10 or above?

Update06/11/2017

The technical specification for using the site are Internet Explorer 10 or above. If you haven’t already moved to these versions please upgrade for optimum functionality.

Users who aren’t on these browsers may experience issues with viewing content on the Portal and using the Portal in general.

Not upgrading to the most up to date browser can also create security issues for your organisation and the device you are using to gain access the Portal.

Please do not call the Helpdesk team as they will not be able to advise you on checking your current browser or upgrading it. Please contact your IT helpdesk for further details or the link below for further guidance.

Tim Wallis
Chairman, Claims Portal Ltd